@charset "UTF-8";

/*開閉用ボタン（ハンバーガーボタン）*/
.menu-btn {
    position: fixed;
    top: 0;
    right: 0;
    width: 90px;
    height: 90px;
    border: none;
    cursor: pointer;
    z-index: 9999!important;
    background: transparent;
    font-family: "Jost", "Shippori Mincho", serif;
}


.menu-btn,
.menu-btn span {
  display: inline-block;
  transition: all .4s;
  box-sizing: border-box;
}

.menu-btn span {
  position: absolute;
  left: 20%;
  width: 50%;
  height: 1px;
  background-color: #2f4157;
}
.menu-btn span:nth-of-type(1) {
  top: 35px;
}

.menu-btn span:nth-of-type(2) {
  top: 50px;
}
.menu-btn::after {
    position: absolute;
    left: -5%;
    bottom: 5px;
    content: 'MENU';
    display: block;
    width: 100%;
    color: #2f4157;
    font-size: 0.8rem;
    text-decoration: none;
    text-align: center;
    white-space: nowrap;
    transition: all .4s;
    letter-spacing: 3px;
}
	
.open .menu-btn::after {
  content: 'CLOSE';color: #FFF;
}
.open .menu-btn span:nth-of-type(1) {
  transform: translateY(7px) rotate(-45deg);
    background-color: #FFF;
}

.open .menu-btn span:nth-of-type(2) {
  transform: translateY(-7px) rotate(45deg);
     background-color: #FFF;
}


/* 開閉用ボタンがクリックされた時のスタイル */
.open .menu {
-webkit-transition: all .5s;
transition: all .5s;
visibility: visible;
opacity: 1;
}
.open .menu-btn {
border-color: #FFF;
}
.open .menu-btn-line{
background-color: transparent;
}
.open .menu-btn-line::before,
.open .menu-btn-line::after {
top: 0;
background: #fff
}
.open .menu-btn-line::before {
-webkit-transform: rotate(45deg);
-ms-transform: rotate(45deg);
transform: rotate(45deg);
}
.open .menu-btn-line::after {
-webkit-transform: rotate(-45deg);
-ms-transform: rotate(-45deg);
transform: rotate(-45deg);
}


/**** MENU CONTENTS SETTING *****/
.menu {
position: fixed;
justify-content: center;
top: 0;
left: 0;
width: 100%;
height: 100%;
background:url("../images/common/bg_menu.jpg") no-repeat center center;
background-size: cover;
-webkit-transition: all .5s;
transition: all .5s;
visibility: hidden;
opacity: 0;
z-index: 100;
overflow-y: scroll;
margin: auto;
padding:0;
text-align: left;
color: #FFF;
}


.menu h1 {
    position: relative;
    z-index: 9999;
    margin: 0;
    width: 100%;
    color: #FFF;
    top: 25px;
    right: -10%;
}
.menu nav {
    width: 80%;
    margin: 10.0rem auto;
}

.menu nav h2 {
    font-size: 4.0rem;
    margin-bottom: 1rem
}

.menu nav li {
    width: 100%;
    margin-bottom: 3rem;
}
.menu nav p {
    margin: 0;
}

.menu nav a {
    color: #FFF;
}

.menu .sns {
    display: flex;
    justify-content: space-between;
    margin: 1.5rem 0;
    width: 20%;
    max-width: 250px;
}

.menu .sns li {
    width: 30%;
}

.menu .submenu li {
    width: 95%;
    margin:0 0 0.5rem 5%;
    font-size: 1.1rem;
    letter-spacing: 2px;
}
.menu .submenu li a {
    margin-left: 1rem;
}


@media screen and (max-width: 767px) {


.menu-btn {
   position: fixed;
   top: 0px;
   right: 0;
   width: 70px;
   height: 70px;
   border: none;
   cursor: pointer;
   z-index: 9999!important;
}
	
.menu-btn span:nth-of-type(1) {
  top: 20px;
}

.menu-btn span:nth-of-type(2) {
  top: 35px;
}
    
.menu-btn::after {
    position: absolute;
    left: -5%;
    top: 50px;
    content: 'MENU';
    display: block;
    width: 100%;
    color: #2f4157;
    font-size: 0.7rem;
    text-decoration: none;
    text-align: center;
    white-space: nowrap;
    transition: all .4s;
    letter-spacing: 2px;
}
	
.open .menu-btn::after {
  content: 'CLOSE';color: #FFF;
}
.open .menu-btn span:nth-of-type(1) {
  transform: translateY(7px) rotate(-45deg);
    background-color: #FFF;
}

.open .menu-btn span:nth-of-type(2) {
  transform: translateY(-7px) rotate(45deg);
     background-color: #FFF;
}

    
/**** MENU CONTENTS SETTING *****/
.menu {
position: fixed;
justify-content: center;
top: 0;
left: 0;
width: 100%;
height: 100%;
background:url("../images/common/bg_menu.jpg") no-repeat center center;
background-size: cover;
-webkit-transition: all .5s;
transition: all .5s;
visibility: hidden;
opacity: 0;
z-index: 100;
overflow-y: scroll;
margin: auto;
padding:0;
text-align: left;
color: #FFF;
}

.menu h1 {
    font-size: 1.0rem;
    letter-spacing: 2px;
    font-weight: 300;
    position: fixed;
    top: 15px;
    right: auto;
    left: 5%;
    z-index: 2;
}

.menu h1 span {
    margin-left: 10px;
    font-size: 0.6rem;
    }
    
    
.menu nav {
    width: 85%;
    margin: 3.0rem auto;
    color:#CCC;
    font-weight: 300;
}
    
    

.menu nav h2 {
    font-size: 1.8rem;
    letter-spacing: 2.5px;
    font-weight: 200;
    color: #FFF;
}
    
.menu nav li {
    margin-bottom: 2rem;
}
    
.menu nav p {
    margin: 0 0 0.5rem 0;
    font-size: 0.8rem;
}

.menu .sns {
    display: flex;
    justify-content: space-between;
    margin: 1.5rem 0;
    width: 40%;
    max-width: 250px;
}

.menu .sns li {
    width: 30%;
}
    .menu .sns li img {
        width: 70%;
        text-align: center;
    }    
    
.menu .submenu li {
    width: 95%;
    margin:0 0 0.5rem 5%;
    font-size: 0.8rem;
    letter-spacing: 1px;
}    
}